pub struct PtyShellInputResponse {
pub written: bool,
pub error: Option<String>,
}Expand description
Response from POST /api/v1/ptyshell/input
Fields§
§written: bool§error: Option<String>Trait Implementations§
Source§impl Clone for PtyShellInputResponse
impl Clone for PtyShellInputResponse
Source§fn clone(&self) -> PtyShellInputResponse
fn clone(&self) -> PtyShellInputResponse
Returns a duplicate of the value. Read more
1.0.0 (const: unstable) · Source§fn clone_from(&mut self, source: &Self)
fn clone_from(&mut self, source: &Self)
Performs copy-assignment from
source. Read moreSource§impl Debug for PtyShellInputResponse
impl Debug for PtyShellInputResponse
Source§impl<'de> Deserialize<'de> for PtyShellInputResponse
impl<'de> Deserialize<'de> for PtyShellInputResponse
Source§fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
Deserialize this value from the given Serde deserializer. Read more
Auto Trait Implementations§
impl Freeze for PtyShellInputResponse
impl RefUnwindSafe for PtyShellInputResponse
impl Send for PtyShellInputResponse
impl Sync for PtyShellInputResponse
impl Unpin for PtyShellInputResponse
impl UnsafeUnpin for PtyShellInputResponse
impl UnwindSafe for PtyShellInputResponse
Blanket Implementations§
Source§impl<T> BorrowMut<T> for Twhere
T: ?Sized,
impl<T> BorrowMut<T> for Twhere
T: ?Sized,
Source§fn borrow_mut(&mut self) -> &mut T
fn borrow_mut(&mut self) -> &mut T
Mutably borrows from an owned value. Read more